# runner

After installation, individual runners must still be registered, e.g.:

```
docker run --rm -it -v gitlab_runner_config:/etc/gitlab-runner gitlab/gitlab-runner register --name <name>
```

An issue I encountered when trying to cache stuff between builds was the following warning in the runner logs:

```
ERROR: Could not create cache adapter               error=cache factory not found: factory for cache adapter "" was not registered
```

In order to make the runner able to create caches, register it like so:

```
docker run --rm -it -v gitlab_runner_config:/etc/gitlab-runner gitlab/gitlab-runner register --name <name> --docker-disable-cache=false -docker-cache-dir /cache --docker-volumes gitlab_runner_cache:/cache
```